<?php

use Illuminate\Support\Facades\Route;

Route::group(['prefix' => 'report', 'as' => 'report.', 'namespace' => 'Reports'], function () {
    Route::get('/customer/{marking}/{from?}/{to?}', 'MonthlyReportController@customerReport')->name('customer');

    Route::get('/sales/{from?}/{to?}', 'MonthlyReportController@salesReport')->name('sales');

    Route::get('/profit/{model}/{value}/{from?}/{to?}', 'MonthlyReportController@profitModelReport')->name('profit');

    Route::get('/service', 'MonthlyReportController@serviceReport')->name('service');

    Route::get('/customers/active', 'MonthlyReportController@customerActivityReport')->name('customerActivity');
});
